<?
include_once("include/sesi.php");
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);
include_once("include/header2.php"); include_once("include/up.php"); include_once("include/antixak.php");
if (isset($user)) {
include_once("include/udata.php");
switch ($act){
default:
echo '<div id="menu6">Здание церкви</div>';
echo '<a href="charch.php?'.$sd.'&act=heal">Зона лечения</a><br />';
echo '<a href="charch.php?'.$sd.'&act=zags">ЗАГС</a><br />';
break;

case 'heal':
if ($udata[9]>15){
echo '<div id="menu6">Отказ</div>Вы уже достаточно опытны и можете сами зарабатывать на лечение,Лечится можно до 15 lvl...<br />';echo'<a href="charch.php?'.$sd.'">В церковь</a><br />'; include
"include/down.php"; exit;}
if ($udata[16]==$udata[17] && $udata[29]==$udata[30]){
echo '<div id="menu6">Отказ</div>Ваше здоровья 100%!!!'; include
"files/down.php"; exit;}
$text = @file("MySql/base123/reg/$log.dat");
$udat = explode(":||:",$text[0]);
$hp = $udata[17];
$mp = $udata[30];
$text=$udat[0].':||:'.$udat[1].':||:'.$udat[2].':||:'.$udat[3].':||:'.$udat[4].':||:'.$udat[5].':||:'.$udat[6].':||:'.$udat[7].':||:'.$udat[8].':||:'.$udat[9].':||:'.$udat[10].':||:'.$udat[11].':||:'.$udat[12].':||:'.$udat[13].':||:'.$udat[14].':||:'.$udat[15].':||:'.$hp.':||:'.$udat[17].':||:'.$udat[18].':||:'.$udat[19].':||:'.$udat[20].':||:'.$udat[21].':||:'.$udat[22].':||:'.$udat[23].':||:'.$udat[24].':||:'.$udat[25].':||:'.$udat[26].':||:'.$udat[27].':||:'.$udat[28].':||:'.$mp.':||:'.$udat[30].':||:'.$udat[31].':||:'.$udat[32].':||:'.$udat[33].':||:'.$udat[34].':||:'.$udat[35].':||:'.$udat[36].':||:'.$udat[37].':||:'.$udat[38].':||:'.$udat[39].':||:'.$udat[40].':||:'.$udat[41].':||:'.$udat[42].':||:'.$udat[43].':||:'.$udat[44].':||:'.$udat[45].':||:'.$udat[46].':||:'.$udat[47].':||:'.$udat[48].':||:'.$udat[49].':||:'.$udat[50].':||:'.$udat[51].':||:'.$udat[52].':||:'.$udat[53].':||:'.$udat[54].':||:'.$udat[55].':||:'.$udat[56].':||:'.$udat[57].':||:'.$udat[58].':||:'.$udat[59].':||:'.$udat[60].':||:'.$udat[61].':||:'.$udat[62].':||:'.$udat[63].':||:'.$udat[64].':||:'.$udat[65].':||:'.$udat[66].':||:'.$udat[67].':||:'.$udat[68].':||:'.$udat[69].':||:'.$udat[70].':||:'.$udat[71].':||:'.$udat[72].':||:'.$udat[73].':||:'.$udat[74].':||:'.$udat[75].':||:'.$udat[76].':||:'.$udat[77].':||:'.$udat[78].':||:'.$udat[79].':||:'.$udat[80].':||:'.$udat[81].':||:'.$udat[82].':||:'.$udat[83].':||:'.$udat[84].':||:'.$udat[85].':||:'.$udat[86].':||:'.$udat[87].':||:'.$udat[88].':||:'.$udat[89].':||:'.$udat[90].':||:'.$udat[91].':||:'.$udat[92].':||:'.$udat[93].':||:'.$udat[94].':||:'.$udat[95].':||:'.$udat[96].':||:'.$udat[97].':||:'.$udat[98].':||:'.$udat[99].':||:'.$udat[100].':||:';
$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo '<div id="menu6">Здание церкви</div>';
echo 'Теперь вы полностью восстановлены. :) <br />';
echo'<a href="charch.php?'.$sd.'">В церковь</a><br />';
break;

case 'give':
echo '<div id="menu6">Сделай пожертвование</div>';
echo'У вас при себе '.$udata[8].' аден.<br/>';
echo'<form method="post" action="charch.php?='.$sd.'&act=giveok" >';
echo'Сколько аден?<br />';
echo'<input name="aden" type="log"/><br />';
echo'Пожеланеи:<br />';
echo'<input name="koment" maxlength="200" type="log"/><br />';
echo'<input class="button" type="submit" value="Продолжыть"/><br />';
echo '<postfield name="aden" value="$(aden)"/>';
echo '<postfield name="koment" value="$(koment)"/>';
echo'</form>';
echo'<a href="charch.php?'.$sd.'">В церковь</a><br />';
break;

case 'giveok':
include_once("include/functions.php");
$koment=check($koment);
$aden=check($aden);
$fal = @file("MySql/base123/reg/$log.dat");
$uda = explode(":||:",$fal[0]);
if (eregi("[^0-9]", $_POST[aden])){echo"В колличестве можно вводить только цифры."; include_once"include/down.php"; exit;}
if ($_POST[aden]<="0"){echo"Вееденное число должно быть больше нуля."; include_once"include/down.php"; exit;}
if ($uda[8]<=5){echo'У вас последних 5 аден. Спасибо но оставте их сибе.'; include_once"include/down.php"; exit;}
if ($_POST[koment]==""){echo'Вы не ввели пожелание!'; include_once"include/down.php"; exit;}
if (empty($aden)){echo'Спасибо но оставте их сибе.'; include_once"include/down.php"; exit;}else{
$uda[8]=$uda[8]-$aden;
$t=$uda[0].':||:'.$uda[1].':||:'.$uda[2].':||:'.$uda[3].':||:'.$uda[4].':||:'.$uda[5].':||:'.$uda[6].':||:'.$uda[7].':||:'.$uda[8].':||:'.$uda[9].':||:'.$uda[10].':||:'.$uda[11].':||:'.$uda[12].':||:'.$uda[13].':||:'.$uda[14].':||:'.$uda[15].':||:'.$uda[16].':||:'.$uda[17].':||:'.$uda[18].':||:'.$uda[19].':||:'.$uda[20].':||:'.$uda[21].':||:'.$uda[22].':||:'.$uda[23].':||:'.$uda[24].':||:'.$uda[25].':||:'.$uda[26].':||:'.$uda[27].':||:'.$uda[28].':||:'.$uda[29].':||:'.$uda[30].':||:'.$sp.':||:'.$uda[32].':||:'.$uda[33].':||:'.$uda[34].':||:'.$uda[35].':||:'.$uda[36].':||:'.$uda[37].':||:'.$uda[38].':||:'.$uda[39].':||:'.$uda[40].':||:'.$uda[41].':||:'.$uda[42].':||:'.$uda[43].':||:'.$uda[44].':||:'.$uda[45].':||:'.$uda[46].':||:'.$uda[47].':||:'.$uda[48].':||:'.$uda[49].':||:'.$uda[50].':||:'.$uda[51].':||:'.$uda[52].':||:'.$uda[53].':||:'.$uda[54].':||:'.$uda[55].':||:'.$uda[56].':||:'.$uda[57].':||:'.$uda[58].':||:'.$uda[59].':||:'.$uda[60].':||:'.$uda[61].':||:'.$uda[62].':||:'.$uda[63].':||:'.$uda[64].':||:'.$uda[65].':||:'.$uda[66].':||:'.$uda[67].':||:'.$uda[68].':||:'.$uda[69].':||:'.$uda[70].':||:'.$uda[71].':||:'.$uda[72].':||:'.$uda[73].':||:'.$uda[74].':||:'.$uda[75].':||:'.$uda[76].':||:'.$uda[77].':||:'.$uda[78].':||:'.$uda[79].':||:'.$uda[80].':||:'.$uda[81].':||:'.$uda[82].':||:'.$uda[83].':||:'.$uda[84].':||:'.$uda[85].':||:'.$uda[86].':||:'.$uda[87].':||:'.$uda[88].':||:'.$uda[89].':||:'.$uda[90].':||:'.$uda[91].':||:'.$uda[92].':||:'.$uda[93].':||:'.$uda[94].':||:'.$uda[95].':||:'.$uda[96].':||:'.$uda[97].':||:'.$uda[98].':||:'.$uda[99].':||:'.$uda[100].':||:';
$fp=fopen("MySql/base123/reg/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$t");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
//////////////////////////////////////////////
$datee = date("d:m:Y");
$timee = date("H:i:s");
$fp=fopen("local/datacharch/log/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$datee||$timee||");
flock ($fp,LOCK_UN);
fclose($fp);
///////////////////////////////////////////////
if (!@file("local/datacharch/koment/$log.dat")){
$fp=fopen("local/datacharch/koment/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$koment||$datee||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
}else{
$fp=fopen("local/datacharch/koment/$log.dat", "a+");
flock ($fp,LOCK_EX);
fputs($fp,"$koment||$datee||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);}
/////////////////////////////////////////////////
$charch = @file("local/datacharch/bank/bank.dat");
$charch = explode("|", $charch[0]);
$adend = $charch[0]+$aden;
$fp=fopen("local/datacharch/bank/bank.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$adend|");
flock ($fp,LOCK_UN);
fclose($fp);
/////////////////////////////////////////////////
echo 'Сума в размере <b>'.$aden.'</b> успешно отправлена на счет церкве!<br/>';
echo"<br/><a href=\"javascript:history-back(1)\">Сделать пожертвование ище раз</a><br/>";
echo'<a href="charch.php?'.$sd.'">В церковь</a><br />';}
break;

case 'zags':
echo '<div id="menu6">Добро пожеловать в ЗАГС</div>';
if ($udata[8]<4000000){echo'У вас слишком мало денег для получения свадебных услуг. Нужно иметь 4.000.000 аден.<br />';echo'<a href="charch.php?'.$sd.'">В церковь</a><br />'; include_once"include/down.php"; exit;}
if ($udata[11]!=="Wedding Suit"){echo'На вас нет свадебного костюма.<br />';echo'<a href="charch.php?'.$sd.'">В церковь</a><br />'; include_once"include/down.php"; exit;}
if (($udata[2]=="M") && ($udata[12]!=="Red Rose")){echo'У вас нет красной розы.<br />'; echo'<a href="charch.php?'.$sd.'">В церковь</a><br />';include_once"include/down.php"; exit;}
if (($udata[2]=="W") && ($udata[12]!=="Bouquet")){echo'У вас нет букета цветов.<br />';echo'<a href="charch.php?'.$sd.'">В церковь</a><br />'; include_once"include/down.php"; exit;}else{

echo'<form method="post" action="charch.php?'.$sd.'&act=zagseok" >';
echo'Я:<br />';
echo'<input name="iam" maxlength="80" value="'.$log.'" type="log"/><br />';
if ($udata[2]=="M"){echo'Беру в жоны:<br />';}else{echo'Беру мужа:<br />';}
echo'<input name="partner" type="log"/><br />';
echo'И обещаю:<br />';
echo'<input name="komentar" maxlength="500" type="log"/><br />';
echo'Пароль брака:<br />';
echo'<input name="parol" maxlength="10" type="log"/><br />';
echo'<input class="button" type="submit" value="Продолжыть"/><br />';
echo '<postfield name="partner" value="$(partner)"/>';
echo '<postfield name="komentar" value="$(komentar)"/>';
echo '<postfield name="iam" value="$(iam)"/>';
echo '<postfield name="parol" value="$(parol)"/>';
echo'</form>';}
echo'<a href="charch.php?'.$sd.'">В церковь</a><br />';
break;

case 'zagseok':
include_once("include/functions.php");
$komentar=check($komentar);
$partner=check($partner);
$iam=check($iam);
$parol=check($parol);
$date = date("d:m:Y");
$fp=fopen("local/datacharch/wedding/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$iam||$partner||$date||$komentar||$parol||$udata[2]||");
flock ($fp,LOCK_UN);
fclose($fp);
echo'<a href="charch.php?'.$sd.'&act=wedding">Взяться за руки и пройти к иконе</a><br />';
break;

case 'wedding':
echo '<div id="menu6">Перед вами святая икона<br /></div>';
$para = @file("local/datacharch/wedding/$file.dat");
$kto = explode("||", $para[0]);
#--------------------------------------------------#
echo'<b>Свесченник:РЂЂЂ</b><br />';
if ($udata[2]=="M"){echo'Ты <b>'.$log.'</b> биреш <b>'.$partner.'</b> как свою верную жену?<br />';}
if ($udata[2]=="W"){echo'Ты <b>'.$log.'</b> биреш <b>'.$partner.'</b> как своего верного мужа?<br />';}
echo'<a href="charch.php?'.$sd.'&act=weddingok">Да</a> | ';
echo'<a href="charch.php?'.$sd.'&act=weddingnet">Нет</a><br />';
break;

case 'weddingok':
$date = date("d:m:Y");
$fp=fopen("local/datacharch/weddingok/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$log||$partner||$date||");
flock ($fp,LOCK_UN);
fclose($fp);
echo'Брак успешно офрмлен!!!';
$parol = $dataoo[4];
@unlink("local/datacharch/wedding/$parol.dat");
break;

case 'weddingnet':
$parol = $dataoo[4];
@unlink("local/datacharch/wedding/$parol.dat");
echo'Предложение успешно отклонено!!!';
break;


}}else{echo"Пароль или логин неверен!";}
include_once"include/down.php";
?>
